Subject: Re: [PATCH] Add git-mergetool to run an appropriate merge conflict resolution program

From: Theodore Tso <[email-masked]>
Date: Thu, 29 Mar 2007 10:20:44 -0400

On Wed, Mar 28, 2007 at 08:58:49PM -0700, Junio C Hamano wrote:
> I had a chance to use git-mergetool in real life for the first
> time today, when I merged 'maint' into 'master'.  It has a
> symlink vs symlink conflict, so I got something like this:
> 
> A few observations.
> 
> (1) Saying "a" <Return> does not let me exit.  It keeps asking
>     the same question.

Yeah, I fixed that last night, along with a bunch of other git
mergetool cleanups.  I was about to request you to do a pull when I
noticed your e-mail. 

> (2) The word "symlink" might be less geekish if worded "symbolic
>     link".
> 
> (3) The message look very long, and repeats the same information.
> 
> (4) The status info gives local and then remote, but the choice
>     is between remote and local.
> 
> The attached is a minimum fix for the above issues, but not for
> immediate application, as I am sure the rewording would make
> messages inconsistent with other cases.  

OK, let me fix up the display and try to clean up the other messages.
I agree that your output looks much nicer.

						- Ted